> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post maxcommandsupdate announcers



## OpenAPI

````yaml /api-reference/oda-max-service-1.0.0.yml post /max/commands/update-announcers
openapi: 3.0.1
info:
  title: oda-max-service
  version: 1.0.0
servers: []
security: []
paths:
  /max/commands/update-announcers:
    post:
      operationId: updateAnnouncer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAnnouncer.UpdateAnnouncerRequest'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Void'
components:
  schemas:
    UpdateAnnouncer.UpdateAnnouncerRequest:
      required:
        - added
        - deleted
        - updated
      type: object
      properties:
        added:
          type: array
          items:
            $ref: '#/components/schemas/UpdateAnnouncer.NewAnnouncer'
        updated:
          type: array
          items:
            $ref: '#/components/schemas/UpdateAnnouncer.AnnouncerUpdate'
        deleted:
          type: array
          items:
            type: string
    Void:
      type: object
    UpdateAnnouncer.NewAnnouncer:
      required:
        - accountId
        - buttons
        - chatId
        - text
        - type
      type: object
      properties:
        text:
          type: string
        accountId:
          type: string
        chatId:
          type: integer
          format: int64
        buttons:
          type: array
          items:
            $ref: '#/components/schemas/UpdateAnnouncer.Button'
        type:
          $ref: '#/components/schemas/AnnouncerData.AnnouncerType'
    UpdateAnnouncer.AnnouncerUpdate:
      required:
        - id
      type: object
      properties:
        id:
          type: string
        text:
          type: string
          nullable: true
        buttons:
          type: array
          nullable: true
          items:
            $ref: '#/components/schemas/UpdateAnnouncer.Button'
        trigger:
          type: string
          nullable: true
        type:
          nullable: true
          allOf:
            - $ref: '#/components/schemas/AnnouncerData.AnnouncerType'
        enabled:
          type: boolean
          nullable: true
    UpdateAnnouncer.Button:
      required:
        - text
        - url
      type: object
      properties:
        text:
          type: string
        url:
          type: string
    AnnouncerData.AnnouncerType:
      type: string
      enum:
        - ANNOUNCE_STREAM_AND_DELETE
        - ANNOUNCE_STREAM

````